/*
  Underware - Pong demo
  Copyright (C) 2003 Vincent Caron <v.caron@zerodeux.net>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __PongGameState_h__
#define __PongGameState_h__

#include <SDL.h>

#include <vector>

class PongGameState
{
public:
  enum State {
    eStopped,
    eRunning,
    ePaused
  };

  static const int cPlayerWithKeyboard;
  static const int cPlayerWithMouse;

  static const float cPaddleHWidth;
  static const float cPaddleHLength;
  static const float cPaddleDeflection;
  static const float cBallHSize;
  static const float cBallAcceleration;

  State mState;
  int   mCredits;
  int   mPings;
  std::vector<float> mPlayerYPos;
  float mBallXPos;
  float mBallYPos;
  float mBallXSpeed;
  float mBallYSpeed;

  PongGameState();

  void PaddleUp(int player, Uint32 delta);
  void PaddleDown(int player, Uint32 delta);
  void PaddlePos(int player, float x, float y);
  void UpdateBall(Uint32 delta);

 private:

  void Init();
};

#endif // __PongGameState_h__
