/*
 *
 * Copyright (C) 2003 Mekensleep
 *
 *	Mekensleep
 *	24 rue vieille du temple
 *	75004 Paris
 *       licensing@mekensleep.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *  Loic Dachary <loic@gnu.org>
 *  Vincent Caron <zerodeux@gnu.org>
 *
 */

#ifndef maf_sound_h 
#define maf_sound_h

#include <string>
#include <glib.h>


class MAFSoundInfo
{
public:
  bool        Looping;
  std::string Path;
};


//! Sound
/*!
*/
class MAFSound
{
public:
  GError* pError;

  MAFSound();
  virtual ~MAFSound();

  void Load(const std::string& Path);
  /*!< Load a sound description file */

  const MAFSoundInfo& GetInfo() const;

private:
  MAFSoundInfo mInfo;
};

 
#endif // maf_sound_h
