/*
 *
 * Copyright (C) 2003 Mekensleep
 *
 *	Mekensleep
 *	24 rue vieille du temple
 *	75004 Paris
 *       licensing@mekensleep.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Authors:
 *  Loic Dachary <loic@gnu.org>
 *  Vincent Caron <zerodeux@gnu.org>
 *
 */

#include <maf/sound.h>
#include <libxml/parser.h>
#include <libxml/tree.h>


MAFSound::MAFSound()
{
  pError = NULL;
}

MAFSound::~MAFSound()
{
}

void MAFSound::Load(const std::string& Path)
{
  xmlDocPtr doc;
  xmlNodePtr sound, path, looping;

  doc = xmlReadFile(Path.c_str(), NULL, 0);
  g_assert(doc);

  sound = xmlDocGetRootElement(doc);
  g_assert(!strcmp((char*)sound->name, "sound"));
  path = sound->children->next;
  g_assert(!strcmp((char*)path->name, "path"));
  looping = path->next->next;
  g_assert(!strcmp((char*)looping->name, "looping"));

  mInfo.Path = (char*)path->children->content;
  mInfo.Looping = !strcmp((char*)looping->children->content, "1") ? true : false;

  xmlFreeDoc(doc);

}

const MAFSoundInfo& MAFSound::GetInfo() const
{
  return mInfo;
}
